Create a budget entry

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/budget-entries

Create a budget entry. Send the fields of the new row in JSON. You must be an administrator.

application/json

Body Required

  • budget_id string(uuid) Required
  • department_id string(uuid) Required
  • person_id string(uuid)
  • start_date string(date) Required
  • months_duration integer Required
  • daily_salary number Required

    Daily salary of the entry

  • position string
  • seniority string
  • exceptions object

    Exceptions of the entry, as a JSON object

Responses

  • 201 application/json

    The new budget entry

    Hide response attributes Show response attributes object
    • id string(uuid)
    • budget_id string(uuid)
    • department_id string(uuid)
    • person_id string(uuid) | null
    • start_date string(date)
    • months_duration integer
    • daily_salary number
    • position string
    • seniority string
    • exceptions object | null
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The body is not valid, or a field breaks a database constraint

  • 403

    You are not an administrator

POST /data/budget-entries
curl \
 --request POST '/api/data/budget-entries' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "budget_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "department_id": "c24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "start_date": "2024-01-15",
  "months_duration": 3,
  "daily_salary": 42.0,
  "position": "artist",
  "seniority": "mid",
  "exceptions": {}
}'
Request examples
{
  "budget_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "department_id": "c24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "start_date": "2024-01-15",
  "months_duration": 3,
  "daily_salary": 42.0,
  "position": "artist",
  "seniority": "mid",
  "exceptions": {}
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "budget_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "department_id": "c24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "start_date": "2024-01-15",
  "months_duration": 3,
  "daily_salary": 1000.0,
  "position": "artist",
  "seniority": "mid",
  "exceptions": {},
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}